#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Test asyncio code more easily
Summary(pl.UTF-8):	Łatwiejsze testowanie kodu asyncio
Name:		python3-aiounittest
Version:	1.5.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/aiounittest/
Source0:	https://files.pythonhosted.org/packages/source/a/aiounittest/aiounittest-%{version}.tar.gz
# Source0-md5:	a0011254bc26271b84c3f22d8afa9223
URL:		https://pypi.org/project/aiounittest/
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-wrapt
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aiounittest is a helper library to ease of your pain (and
boilerplate), when writing a test of the asynchronous code. You can
test:
- synchronous code (same as the unittest.TestCase)
- asynchronous code, it supports syntax with async/await (Python 3.5+)
  and asyncio.coroutine/yield from (Python 3.4)

%description -l pl.UTF-8
aiounittest to biblioteka pomocnicza zmniejszająca ból (i ilość
szablonowego kodu) przy pisaniu testów dla kodu asynchronicznego.
Pozwala testować:
- kod synchroniczny (tak samo, jak unittest.TestCase)
- kod asynchroniczny - obsługuje składnię z async/await (Python 3.5+)
  oraz asyncio.coroutine/yield from (Python 3.4)

%prep
%setup -q -n aiounittest-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/aiounittest
%{py3_sitescriptdir}/aiounittest-%{version}-py*.egg-info
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-aiounittest.git;a=log;h=master

* Thu Jul 10 2025 Jakub Bogusz <qboosh@pld-linux.org> d52a81d
- new

